MetacatUI - Task #6653

Story # 6598 (Resolved): Add Provenance to the DataCatalog and Metadata views

Show the citation and relevant provenance of the dataset when the provenance chart nodes are

moused over
01/21/2015 09:48 AM - Lauren Walker

Status: Resolved Start date: 02/24/2015
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.8.0 Spent time: 0.00 hour
Description

Subtasks:

Task # 6668: Show some basic info from the index when a data object in the prov chart h...

Resolved

History

#1 - 01/23/2015 04:41 PM - Lauren Walker

- Subject changed from Show the citation of the dataset when the provenance chart nodes are moused over to Show the citation and relevant
provenance of the dataset when the provenance chart nodes are moused over

Need to display the provenance too...

#2 - 01/29/2015 03:49 PM - Lauren Walker
- % Done changed from 0 to 50

The citation now displays in the popover. Provenance statements next...

#3 - 02/26/2015 04:37 PM - Lauren Walker

- Status changed from New to Resolved

The ProvStatementView will now create a list of statements/sentences that describe the relevant prov trace in plain-English form. Some more
thorough testing will need to be done once we have some more complete indexed test data.

the ProvStatementView and ProvCharts will be more helpful if there the prov_instanceOfClass is populated with the appropriate class, such as
p1:Program. Otherwise, every entity in the prov trace is just called "data" and is represented by the data-table icon.

The IDs are used as the object names until the namesttitles are indexed (see #6605)
https://projects.ecoinformatics.org/ecoinfo/issues/6605
http://www.tcpdf.org

